Loading...
Searching...
No Matches
Filesystem roots
Filesystem interaction subsystem

Roots. More...

## Typedefs

typedef struct svn_fs_root_t | svn_fs_root_t
| The Filesystem Root object.

## Functions

svn_error_t * | svn_fs_revision_root (svn_fs_root_t **root_p, svn_fs_t *fs, svn_revnum_t rev, apr_pool_t *pool)
| Set *root_p to the root directory of revision rev in filesystem fs.
svn_error_t * | svn_fs_txn_root (svn_fs_root_t **root_p, svn_fs_txn_t *txn, apr_pool_t *pool)
| Set *root_p to the root directory of txn.
void | svn_fs_close_root (svn_fs_root_t *root)
| Free the root directory root; this only needs to be used if you want to free the memory associated with root earlier than the time you destroy the pool passed to the function that created it (svn_fs_revision_root() or svn_fs_txn_root()).
svn_fs_t * | svn_fs_root_fs (svn_fs_root_t *root)
| Return the filesystem to which root belongs.
svn_boolean_t | svn_fs_is_txn_root (svn_fs_root_t *root)
| Return `TRUE` iff root is a transaction root.
svn_boolean_t | svn_fs_is_revision_root (svn_fs_root_t *root)
| Return `TRUE` iff root is a revision root.
const char * | svn_fs_txn_root_name (svn_fs_root_t *root, apr_pool_t *pool)
| If root is the root of a transaction, return the name of the transaction, allocated in pool; otherwise, return NULL.
svn_revnum_t | svn_fs_txn_root_base_revision (svn_fs_root_t *root)
| If root is the root of a transaction, return the number of the revision on which is was based when created.
svn_revnum_t | svn_fs_revision_root_revision (svn_fs_root_t *root)
| If root is the root of a revision, return the revision number.

## Detailed Description

Roots.

An svn_fs_root_t object represents the root directory of some revision or transaction in a filesystem. To refer to particular node or node revision, you provide a root, and a directory path relative to that root.

## Typedef Documentation

## svn_fs_root_t

typedef struct svn_fs_root_t svn_fs_root_t

The Filesystem Root object.

Definition at line 1380 of file svn_fs.h.

## Function Documentation

## svn_fs_revision_root()

svn_error_t * svn_fs_revision_root | ( | svn_fs_root_t ** | root_p,
|  | svn_fs_t * | fs,
|  | svn_revnum_t | rev,
|  | apr_pool_t * | pool )

Set *root_p to the root directory of revision rev in filesystem fs.

Allocate *root_p in a private subpool of pool; the root can be destroyed earlier than pool by calling svn_fs_close_root.

## svn_fs_revision_root_revision()

svn_revnum_t svn_fs_revision_root_revision | ( | svn_fs_root_t * | root | ) |

If root is the root of a revision, return the revision number.

Otherwise, return SVN_INVALID_REVNUM.

## svn_fs_txn_root()

svn_error_t * svn_fs_txn_root | ( | svn_fs_root_t ** | root_p,
|  | svn_fs_txn_t * | txn,
|  | apr_pool_t * | pool )

Set *root_p to the root directory of txn.

Allocate *root_p in a private subpool of pool; the root can be destroyed earlier than pool by calling svn_fs_close_root.

## svn_fs_txn_root_base_revision()

svn_revnum_t svn_fs_txn_root_base_revision | ( | svn_fs_root_t * | root | ) |

If root is the root of a transaction, return the number of the revision on which is was based when created.

Otherwise, return SVN_INVALID_REVNUM.

Since
  New in 1.5.